import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Brush } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { SeriesLayerPropertyOverlay } from "./SeriesLayerPropertyOverlay";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class WaterfallSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected get_fj(): boolean;
    protected get_ey(): boolean;
    protected g0(): List$1<SeriesLayerPropertyOverlay>;
    protected ip(): number;
    protected get_eo(): boolean;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    ze: WaterfallSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_ez(): boolean;
    pz(a: Brush, b: Brush): void;
    zp: Brush;
    s3(): Brush;
    s4(): Brush;
    zf: number;
    zg: number;
    cm(): SeriesVisibleRangeMode;
    protected get_du(): boolean;
    protected o8(a: any, b: string, c: any, d: any): void;
    f4(a: Point, b: boolean): boolean;
    ts(a: Point): Rect;
    private zr;
    protected vw(): CategoryTransitionInMode;
    nj(a: boolean, b: SeriesView): void;
    protected get_xt(): number;
    h0(): number;
    w5(a: CategoryFrame, b: CategorySeriesView): void;
    zq: Brush;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class WaterfallSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    au(): void;
    protected dd: WaterfallSeries;
    constructor(a: WaterfallSeries);
    dn(): Rectangle;
    protected df: List$1<Rectangle>;
    dg(a: Rectangle): void;
    di(a: Rectangle): void;
    dh(a: Rectangle): void;
    dj(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dm;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    de: Pool$1<Rectangle>;
    an(a: any): void;
    dk(a: number): Rect;
    dl(a: Rectangle): Rect;
}
